() => {
  let el, hovering
  function onMouseMove(e) {
    let underTheMouse = document.elementsFromPoint(e.clientX, e.clientY)
    el = Array.from(underTheMouse).find(h => {
      return h.id !== 'appxxx' && h.id !== 'hovering'
    })
    if (!el) return false

    let bounds = el.getBoundingClientRect()
    hovering = document.querySelector('#hovering')
    if (!hovering) {
      hovering = document.createElement('div')
      hovering.id = 'hovering'
      hovering.style.position = 'absolute'
      hovering.style.transition = 'all 0.2s'
      hovering.style.background = 'rgba(255, 0, 0, 0.5)'
      hovering.style.pointer = 'none'
      let app = document.querySelector('#appxxx')
      app.appendChild(hovering)
    }

    hovering.style.top = `${bounds.top}px`
    hovering.style.left = `${bounds.left}px`
    hovering.style.width = `${bounds.width}px`
    hovering.style.height = `${bounds.height}px`
  }
  document.addEventListener('mousemove', onMouseMove)
  document.addEventListener('mousedown', (e) => {
    //document.removeEventListener('mousemove', onMouseMove)
    //hovering.remove()
    el.style.display = 'inline-block'
    el.style.transition = 'all 1s'
    el.style.transform = `translateY(${window.innerHeight}px)`
  }, { once: false })
}
